Subject: bug#31654: emacs-lisp-intro.texi - backtrace

From: Eli Zaretskii <[email-masked]>
Date: Wed, 30 May 2018 19:54:06 +0300

> From: Van L <[email-masked]>
> Date: Wed, 30 May 2018 19:23:51 +1000
> 
> I like how the original extended the common prefix ``eval’’ in the naming.
> 
> The newer backtrace result looks ``complicated''.
> 
>   #+BEGIN_EXAMPLE
>     8cda6f8f (Glenn Morris             2007-09-06  1818) ---------- Buffer: *Backtrace* ----------
>     8cda6f8f (Glenn Morris             2007-09-06  1819) Debugger entered--Lisp error: (void-function fill-column)
>     8cda6f8f (Glenn Morris             2007-09-06  1820)   (fill-column)
>     8cda6f8f (Glenn Morris             2007-09-06  1821)   eval((fill-column))
>     8cda6f8f (Glenn Morris             2007-09-06  1822)   eval-last-sexp-1(nil)
>     8cda6f8f (Glenn Morris             2007-09-06  1823)   eval-last-sexp(nil)
>     8cda6f8f (Glenn Morris             2007-09-06  1824)   call-interactively(eval-last-sexp)
>     8cda6f8f (Glenn Morris             2007-09-06  1825) ---------- Buffer: *Backtrace* ----------
> 
>     Debugger entered--Lisp error: (void-function fill-column)
>       (fill-column)
>       eval((fill-column) nil)
>       elisp--eval-last-sexp(nil)
>       eval-last-sexp(nil)
>       funcall-interactively(eval-last-sexp nil)
>       call-interactively(eval-last-sexp nil nil)
>       command-execute(eval-last-sexp)
>   #+END_EXAMPLE

But it's what Emacs shows nowadays.  I don't see any good reasons to
describe in the manual something that is different from the reality, I
think this could only add to confusion.

Backtraces are usually "ugly" in that way, and developers should get
used to that.

If you or someone else have ideas how to make this "nicer" without
lying to the reader, I'm all ears.

Thanks.